require 'sketchup.rb'
require 'extensions.rb'
require 'CoolPipe/cp_langhandler.rb'
require 'CoolPipe/coolpipe_Start.rb'
require 'CoolPipe/cpCSVBase.rb'
require 'CoolPipe/Tools.rb'

Sketchup.send_action "showRubyPanel:"

module Sketchup::CoolPipe
	$coolpipe_langDriver = CP_LanguageHandler.new('coolpipe_lang_driver.strings') #Драйвер языковой локализации
	$textcopyright = "CoolPipe for SketchUP Interface©2011-2015"
	@CoolPipe_number_version = "1.3" # Текущая версия плагина
	@version = "CoolPipe v#{@CoolPipe_number_version}(2015) Beta 3" # Версия плагина подробно
	coolpipeExtension = SketchupExtension.new "CoolPipe", "CoolPipe/coolpipe_Start.rb"
	description_str = "#{$coolpipe_langDriver.GetString('Плагин')} #{@version} #{$coolpipe_langDriver.GetString('для проектирования инженерных коммуникаций')}"
	coolpipeExtension.description=description_str
	coolpipeExtension.name=@version
	coolpipeExtension.creator = $coolpipe_langDriver.GetString('Борисов Денис Владимирович')
	coolpipeExtension.copyright = $coolpipe_langDriver.GetString('©2011-2015 Борисов Денис Владимирович (yad2000@rambler.ru)')
	coolpipeExtension.version = @version
	Sketchup.register_extension coolpipeExtension, true
	$coolpipe_dialogs = CoolPipeDialogs.new #Здесь хранятся все диалоги плагина
	toolbar = ToolbarCoolPipe.new  #Здесь создается тулбар плагина
end #module Sketchup::CoolPipe